Skip to content

Bulk write 'Componenttype'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Bodyapplication/json
Array [
namestring, <= 255 charactersrequired
custom_idstring or null, <= 128 characters
include_in_inspectionsboolean
organizationobject or null(Organization)
proposed_room_categoriesArray of objects(Roomcategory)
]
POST
/objects/components/componenttype/list/
curl -i -X POST \
  https://dev.api.pigello.io/objects/components/componenttype/list/ \
  -H 'Content-Type: application/json' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE' \
  -d '[
    {
      "name": "string",
      "custom_id": "string",
      "include_in_inspections": true,
      "organization": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      },
      "proposed_room_categories": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
        }
      ]
    }
  ]'

Responses

Successful bulk create/update

Bodyapplication/json
Array [
namestring, <= 255 charactersrequired
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

custom_idstring or null, <= 128 characters
pending_monitor_approval_amountanyread-only
include_in_inspectionsboolean
tagsanyread-only
customer_columnsanyread-only
organizationobject or null(Organization)
created_atstring, (date-time)read-only
proposed_room_categoriesArray of objects(Roomcategory)
]
Response
[ { "name": "string", "custom_id": "string", "pending_monitor_approval_amount": null, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "include_in_inspections": true, "tags": null, "customer_columns": null, "organization": {}, "created_at": "2019-08-24T14:15:22Z", "proposed_room_categories": [] } ]